--- linux-2.6.9.orig/drivers/scsi/st.c	2005-10-13 17:35:35.000000000 +0200
+++ linux-2.6.9/drivers/scsi/st.c	2005-10-13 21:48:05.479993149 +0200
@@ -150,8 +150,11 @@
 #define MAX_READY_RETRIES 0
 #define NO_TAPE  NOT_READY
 
-#define ST_TIMEOUT (900 * HZ)
-#define ST_LONG_TIMEOUT (14000 * HZ)
+/* Rewrite timeout value for readability.
+ * Shortened Long timeout from 3.9 hrs to 1 hr.
+ * Originally by Fabien Collin. */
+#define ST_TIMEOUT (15 * 60 * HZ)
+#define ST_LONG_TIMEOUT (60 * 60 * HZ)
 
 /* Remove mode bits and auto-rewind bit (7) */
 #define TAPE_NR(x) ( ((iminor(x) & ~255) >> (ST_NBR_MODE_BITS + 1)) | \
